import 'package:flutter/material.dart';

import '../base_attribute.dart';

class FontWeightAttribute extends Attribute<FontWeight> {
  const FontWeightAttribute(this.fontWeight);
  final FontWeight fontWeight;

  FontWeight get value => fontWeight;
}

class FontSizeAttribute extends Attribute<double> {
  const FontSizeAttribute(this.fontSize);
  final double fontSize;

  double get value => fontSize;
}

class WordSpacingAttribute extends Attribute<double> {
  const WordSpacingAttribute(this.wordSpacing);
  final double wordSpacing;

  double get value => wordSpacing;
}

class MaxLinesAttribute extends Attribute<int> {
  const MaxLinesAttribute(this.maxLines);
  final int maxLines;

  int get value => maxLines;
}

class FontFamilyAttribute extends Attribute<String> {
  const FontFamilyAttribute(this.fontFamily);
  final String fontFamily;

  String get value => fontFamily;
}

void text(BuildContext context) {
  // return Theme.of(context).textTheme.bodyText1;
}
